body {
    line-height: 1;
}

@keyframes gradient {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0% 50%;
    }
}

h1 {
    font-size: 40px;
}
.order__left {
    padding: 30px;
    border: 5px dotted #fff;
}
.order__left img {
    width: 250px;
}
.order__right {
    display: flex;
    justify-content: center;
    align-items: center;
}

.no__overflow {
    display: flex;
    align-items: center;
    overflow: hidden;
}

.form {
    max-width: 300px;
}

.logo {
    margin-bottom: 12px;
    width: 100%;
}
.logo img {
    width: 300px;
}
h4 {
    color: #867992;
    text-align: left;
    margin-bottom: 30px;
    letter-spacing: 0.2px;
    line-height: 20px;
}
label.form-label {
    width: 100%;
    text-align: start;
    margin-top: 1rem;
}
input[type="text"],
input[type="password"] {
    width: 300px;
    padding: 7px 16px;
    display: block;
    background: #fff;
    border: 1px solid #2e3191;
    border-left: 5px solid #2e3191;
    border-radius: 0;
    box-sizing: border-box;
    font-size: 16px;
    outline: none;
    transition: box-shadow 0.25s ease-in-out, background-image 0.25s;
}

/* input[type="text"]:focus,
input[type="password"]:focus {
    border-color: #a26ed4;
    background: #faf8fd;
    background: #fdfcfe;
    box-shadow: 0 0 0 0.25rem #ebd6ff;
} */

::-webkit-input-placeholder {
    color: #a29ca8;
}

:-ms-input-placeholder {
    color: #a29ca8;
}

::placeholder {
    color: #a29ca8;
}

.justify__space_between {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 20px;
}

input[type="checkbox"],
label {
    margin-right: 4px;
    cursor: pointer;
    outline-color: #b595d4;
}

.login-item .input {
    width: 100%;
    height: 44px;
    padding: 12px 16px;
    margin: 16px 0;
    display: block;
    border: 1px solid #a0a7ce;
    background-color: #fff;
    border-radius: 4px;
    box-sizing: border-box;
    font-size: 16px;
    color: #a0a7ce;
    outline: none;
    transition: box-shadow 0.25s ease-in-out, background-image 0.25s;

}

.login-item .icon {
    position: absolute;
    top: 16px;
    left: 18px;
    pointer-events: none;
    z-index: 2;
}

.remember_me,
.signup {
    color: #867992;
}

.forgot__password {
    color: #210a0e;
    text-align: left;
    outline-color: #3F51B5;
}

.forgot__password:active {
    color: #867992;
}

.login__button {
    margin-top: 20px;
    width: 100%;
    border: none;
    padding: 13px 17px;
    color: #fff;
    border-radius: 0.25rem;
    font-size: 16px;
    cursor: pointer;
    background: #2e3191;
    background: var(--gradient, linear-gradient(360deg, #2e3191 0%, #474cee 100%));
    box-shadow: -1px 9px 10px 0px rgba(41, 81, 160, 0.2);
}

.login__button:hover {
    background: #f15922;
    background: var(--gradient, linear-gradient(360deg, #f15922 0%, #ffa740 100%));
    box-shadow: -1px 5px 10px 0px rgba(241, 89, 34, 0.2);
}

.login__button:active {
    background-color: #f89f1d;
    box-shadow: none;
}

.signup {
    font-size: 14px;
    text-align: center;
    margin-top: 20px;
}

.img {
    height: 100%;
    object-fit: cover;
    max-width: auto;
}

.alert.alert-danger.mt-1 {
    width: 300px;
    font-size: 12px;
    margin-bottom: 0;
    padding: 5px;
}

@media only screen and (max-width: 800px) {
    .grid {
        grid-template-columns: auto;
    }

    .order__left {
        display: none;
    }

    .order__right {
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .logo img {
        width: 250px;
    }
    input[type="text"], input[type="password"] {
        width: 250px;
    }
    .centered {
        align-items: flex-start;
    }

    .no__overflow {
        align-items: flex-start;
    }

    h4 {
        text-align: center;
    }

    .img {
        width: 100vw;
    }
    .alert.alert-danger.mt-1 {
        width: 250px;
    }
}

@media only screen and (max-height: 600px) {
    .img {
        width: 120%;
    }
}
